%define api 1.0
%define major 0

%define libname %mklibname ges %api %major
%define girname %mklibname ges-gir %api
%define develname %mklibname -d ges %api

%define plugname gstreamer%{api}-nle

Summary:	GStreamer editing services
Name:		gstreamer1.0-editing-services
Version:	1.12.0
Release:	%mkrel 1
Source0:	http://gstreamer.freedesktop.org/src/gstreamer-editing-services/gstreamer-editing-services-%{version}.tar.xz
License:	LGPLv2+
Group:		Video
URL:		http://gstreamer.freedesktop.org/modules/gst-editing-services.html
#-------------------------------------------------
BuildRequires: bash-completion
BuildRequires: gtk-doc
BuildRequires: flex
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstvalidate1.0-devel
BuildRequires: %{_lib}xml2-devel
#-------------------------------------------------

%description
GStreamer editing services.

%package -n %{libname}
Summary:	Libraries for GStreamer editing services
Group:		System/Libraries
Provides:	gstreamer1.0-nle = %version-%release

%description -n %{libname}
Libraries for GStreamer editing services.

%package -n %{develname}
Summary:	Libraries and include files for GStreamer editing services
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and include files for GStreamer editing services.

%prep
%setup -q -n gstreamer-editing-services-%{version}

%build
%configure2_5x \
	--with-package-origin="http://www.pclinuxos.com" \
	--disable-static \
	--with-gtk=3.0 \
	--disable-examples
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%files
%doc README NEWS ChangeLog AUTHORS
%{_bindir}/ges-launch-%{api}
%{_datadir}/bash-completion/completions/ges-launch-%{api}
%{_datadir}/gstreamer-1.0/validate-scenario/ges-edit-clip-while-paused.scenario

%files -n %{libname}
%{_libdir}/libges-%{api}.so.%{major}
%{_libdir}/libges-%{api}.so.%{major}.*
%{_libdir}/gstreamer-%{api}/libgstnle.so
%{_libdir}/girepository-1.0/GES-%{api}.typelib
%{_libdir}/gst-validate-launcher/python/launcher/apps/geslaunch.*

%{_libdir}/python2.7/site-packages/gstreamer-editing-services/GES.py
%{_libdir}/python2.7/site-packages/gstreamer-editing-services/GES.pyc
%{_libdir}/python2.7/site-packages/gstreamer-editing-services/GES.pyo
%{_datadir}/man/man1/ges-launch-1.0.1.bz2

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gstreamer-%{api}/ges/
%{_datadir}/gir-1.0/GES-%{api}.gir


%changelog
* Mon May 15 2017 adrianomorselli <adrianomoreslli> 1.12.0-1uplos2017
- update
